<template>
  <v-card>
    <v-tabs
      background-color="primary--darken-1"
      center-active
      dark
    >
      <v-tab>
        Vehículos de distribución
      </v-tab>

      <v-tabs-slider color="primary" />

      <v-tab-item :key="1">
        <vehicles-to-dispatch v-if="routesReady" />
        <generating-routes v-else />
      </v-tab-item>
    </v-tabs>
  </v-card>
</template>

<script>
import { mapState } from 'vuex';
import VehiclesToDispatch from './VehiclesToDispatch';
import GeneratingRoutes from './GeneratingRoutes';
import { GENERATED } from '~/services/programming/route-request-status';

export default {
  name: 'VehiclesInfo',
  components: {
    VehiclesToDispatch,
    GeneratingRoutes,
  },
  computed: {
    ...mapState({
      dispatch: state => state.programming.dispatches.current.dispatch,
    }),
    routesReady() {
      const state = this.dispatch?.routeRequestState ?? '';
      return state === GENERATED;
    },
  },
};
</script>
